We want your online experience with Pepnet 2 to be the best. The browser you are currently using is not supported. Click on one of the supported browser button for a free download.
You may need to work with your IT to get a supported browser installed to replace your current browser that is becoming obsolute.
A validation e-mail has been sent to your e-mail address. In order to gain full access to the site, you will need to follow the instructions in that message.

E-Learning

Access The Fundamentals

Access: The Fundamentals is a straightforward and informative introduction to the nature of hearing loss and its implications for communication and learning in educational settings. The course also provides basic information about accommodations that can make education, employment, and other activities accessible for individuals who are deaf or hard of hearing.

While designed for postsecondary educators and staff who work with students who are D/HH, anyone who works with these individuals—high school staff and faculty, rehabilitation counselors, and employment specialists, for example—will find the course useful.

Participants who successfully complete the training in a single session may download and print a file issued by pepnet 2 that verifies completion of one hour of training.

To access this course and other pepnet 2 resources, first log in with your pn2 username and password. Click here to sign-in.

Sign-In

If you haven't created a pn2 username yet, click here to create one now.

New User

 

Once you have successfully signed-in, you can enter Access: The Fundamentals.

"My pn2" eLearning Dashboard

 

     Enter the course here

 

LIVE CHAT
 
 
 
MY PN2 ELEARNING DASHBOARD

My pn2 eLearning Dashboard

Your individualized eLearning Dashboard. Log into the pepnet 2 website before accessing "My pn2".

 
 
FROM THE FORUM
Student preferences for specific...
by scarmich | 7/10/14 @ 11:58 AM
Financial Aid/Scholarships
by mcpark | 7/9/14 @ 09:36 AM
Hearing aids
by mounces | 7/3/14 @ 09:01 AM
The pepnet 2 website is compatible with Internet Explorer 8+, Chrome 14+, Safari 4+ and Firefox 3+. Compatibility with earlier versions of browsers is limited.